Jump to content

Autres logiciels d'infographie


126 topics in this forum

    • 2 replies
    • 2k views
    • 18 replies
    • 4k views
  1. Sabre Japonais

    • 0 replies
    • 1,2k views
  2. Epée du moyen âge

    • 0 replies
    • 2k views
  3. Un lit avec Wings3D

    • 3 replies
    • 2,1k views
    • 1 reply
    • 1,6k views
    • 0 replies
    • 2,1k views
  4. Les buts de la coupe du monde en 3D

    • 7 replies
    • 2,4k views
    • 0 replies
    • 3,1k views
  5. Imagina 2007

    • 0 replies
    • 1,4k views
  6. Interview de Marc Petit

    • 0 replies
    • 1,5k views
    • 5 replies
    • 4k views
  7. Chemins UNC et Picasa

    • 0 replies
    • 1,4k views
  8. Réelles ou artificielles?

    • 5 replies
    • 2k views
  9. Texture aluminium brossé

    • 3 replies
    • 2,4k views
    • 0 replies
    • 1,2k views
  10. Paint.Net

    • 0 replies
    • 1,2k views
  11. Stereogram maker

    • 4 replies
    • 1,7k views
    • 0 replies
    • 1,3k views
  12. Jeu de 421

    • 2 replies
    • 1,9k views
    • 2 replies
    • 1,3k views
  13. Votre galerie de photos

    • 0 replies
    • 1,1k views
  14. Train SNCF

    • 1 reply
    • 1,3k views
  15. Machine à cafés

    • 0 replies
    • 1k views
  16. Autodesk se sépare de McNeel

    • 2 replies
    • 1,4k views
  • Forum Statistics

    • Total Topics
      46 470
    • Total Posts
      280 319
  • Posts

    • Et quand je lis par ailleurs que tu veux te mettre au .NET, je suis absolument convaincu qu'il s'agit d'une fuite en avant qui va immanquablement te mener à l'échec. Il est plus "complexe" de comprendre commet insérer un bloc avec attributs en .NET que de comprendre l'utilisation des dictionnaires en LISP ou VBA (je parle bien de comprendre et pas de copier/coller des extraits de code, ce qui, en .NET mène directement à la catastrophe). Si j'ai un conseil à te donner, c'est de continuer à apprendre à programmer AutoCAD avec des langages de très haut niveau avec un IDE intégré à AutoCAD pour pouvoir tester plus facilement ton code (c'est comme ça qu'on apprend) et de ne te poser la question d'aborder un environnement de programmation plus puissant mais beaucoup plus complexe que quand tu auras le sentiment d'avoir épuiser les possibilités du LISP et du VBA.
    • Essaye comme ça : (defun c:test (/ putBack) (defun putBack (layer / s) (if (setq s (ssget "_X" (list (cons 8 layer)))) (command-s "_.draworder" s "" "_back") ) ) (foreach l '("*(Hach)" "*(Trame)" "*(Image)") (putBack l)) (princ) )  
    • Je ne vois pas ce qui ne fonctionne pas chez toi. J'ai fait quelques tests et ça marche chez moi. Encore une fois, teste dans un dessin significatif avec d'abord une seule expression (command-s "_draworder" ...) pour voir le résultat. Le principal avantage d'AutoLISP est cette possibilité de pouvoir tester aussi facilement n'importe quelle expression LISP. command-s est une variation de command qui s'exécute théoriquement deux fois plus vite. Seule restriction avec command-s : on ne peut pas utilise de pause ou autre expression (get* ...) dans ses arguments (voir l'aide). Dans ton cas, on peut utiliser indifféremment l'un ou l'autre.
    • Bonsoir (gile). En ligne de commande j'ai : Commande: (setq Select (ssget "_A" '((8 . "*(Hach)")))) <Selection set: 4> Commande: (setq Select (ssget "_A" '((8 . "*(Trame)")))) <Selection set: 8> Commande: (setq Select (ssget "_A" '((8 . "*(Image)")))) <Selection set: a> Je t'avoue que je n'ai pas compris le "a" en dernier, mais j'ai bien des entités dans mes calques. J'ai déjà testé l'expression "(command-s "ordretrace" Select "" "AR")" mais sans le "-s" à la fin de command, c'est important ?
    • Salut (gile). Mille mercis pour cette variable, je l'ai pourtant cherchée... Au sujet de l'indentation, l'IDE d'AutoLISP est réellement à la traine... Il faut systématiquement lui demander de le faire (et encore, pas si efficace), alors que dans d'autre IDE, c'est automatique. Mais je ne m'en plaint pas, vu que j'y retourne après avoir côtoyé VisualStudioCode... Bonne soirée à toi et à toute la communauté... Denis...
  • Sujets

×
×
  • Create New...